SpareRoom
SpareRoom: Search
Search from SpareRoom. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
spareroom
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/spareroom/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/spareroom/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/spareroom/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/spareroom/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/spareroom/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/spareroom/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/spareroom/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/spareroom/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "spareroom.search",
"params": {
"where": "London"
},
"response": {
"success": true,
"data": {
"type": "results",
"where": "London",
"page": 1,
"page_size": 100,
"page_count": 10,
"has_next_page": true,
"result_count": 100,
"total_pool": 12891,
"rows_reachable": 1000,
"truncated": true,
"total_rooms_available": 16127,
"location": {
"latitude": 51.51648767499999,
"longitude": -0.10976950833333333,
"latitude_delta": 0.291945783904339,
"longitude_delta": 0.47141769068993,
"areas": [
{
"id": 1,
"name": "The East End"
},
{
"id": 2,
"name": "Outer East End / Newham"
},
{
"id": 3,
"name": "Docklands"
}
]
},
"filter_options": [
{
"group": "Price",
"options": [
{
"label": "Up to £900pcm",
"count": 4906,
"params": "…"
},
{
"label": "£901 to £1,300pcm",
"count": 5965,
"params": "…"
},
{
"label": "£1,301pcm plus",
"count": 2588,
"params": "…"
}
]
},
{
"group": "Types",
"options": [
{
"label": "Rooms in existing shares",
"count": 11036,
"params": "…"
},
{
"label": "Studios / 1 Beds",
"count": 1071,
"params": "…"
},
{
"label": "Whole properties (suitable for sharing)",
"count": 777,
"params": "…"
}
]
},
{
"group": "Rooms",
"options": [
{
"label": "Double rooms",
"count": 11856,
"params": "…"
},
{
"label": "Single rooms",
"count": 1315,
"params": "…"
},
{
"label": "Rooms with en-suite",
"count": 2572,
"params": "…"
}
]
}
],
"results": [
{
"id": 18472716,
"url": "https://www.spareroom.co.uk/18472716",
"title": "1-Bed penthouse flat near Canary Wharf",
"excerpt": "Modern 1-bed flat with wrap-around terrace.\nFurnished\nPerfectly located between Canary Wharf and the City. Between Limehouse and Westferry DLR stations, m.",
"ad_type": "offered",
"accommodation_type": "1 bed flat or studio",
"property_type": "Flat",
"status": "Available",
"rooms_in_property": 1,
"rooms_for_rent": 1,
"double_rooms": 1,
"rent": {
"min": 2500,
"period": "pcm",
"rent_options": "whole",
"currency": "GBP"
},
"rooms": [
{
"type": "double",
"price": 2500,
"period": "pcm",
"status": "available",
"furnishings": "unfurnished"
}
],
"security_deposit": 2500,
"availability": {
"from": "2026-11-23",
"from_iso": "2026-11-23T12:00:00Z",
"days_per_week": "7 days a week"
},
"couples_allowed": true,
"location": {
"postcode": "E14",
"neighbourhood": "Westferry",
"latitude": 51.513191,
"longitude": -0.0292769
},
"images": {
"tiny": "https://photos2.spareroom.co.uk/images/flatshare/listings/tiny/10/19/101956202.jpg",
"thumb": "https://photos2.spareroom.co.uk/images/flatshare/listings/thumbs/10/19/101956202.jpg",
"standard": "https://photos2.spareroom.co.uk/images/flatshare/listings/10/19/101956202.jpg",
"large": "https://photos2.spareroom.co.uk/images/flatshare/listings/large/10/19/101956202.jpg",
"square": "https://photos2.spareroom.co.uk/images/flatshare/listings/square/10/19/101956202.jpg"
},
"advertiser": {
"id": 25592173,
"uuid": "bhDJ9wMYovyCnpiwL2NZMA",
"name": "Quentin",
"type": "live out landlord",
"type_code": "live_out_landlord",
"verified": true,
"photo_checks": [
"name",
"date_of_birth"
],
"additional_checks": [
"phone",
"email"
]
},
"promotion": {
"label": "New Today",
"featured": false,
"bold": true,
"has_video": false,
"early_bird_required": false
},
"expires_at": "2026-11-20T20:45:36Z"
},
{
"id": 17985606,
"url": "https://www.spareroom.co.uk/17985606",
"title": "Stylish Double Room in Stoke Newington 🏡+Garden",
"excerpt": "***Men preferred property***Spacious double room available in a beautifully kept Victorian garden flat on a quiet residential street in Stoke Newington.\n\nThis is not your typical house share — it’s a calm, well-maintained home with a premiu…",
"ad_type": "offered",
"accommodation_type": "Double room",
"property_type": "Flat",
"status": "Available",
"rooms_in_property": 3,
"rooms_for_rent": 1,
"double_rooms": 1,
"rent": {
"min": 950,
"period": "pcm",
"rent_options": "room",
"currency": "GBP"
},
"rooms": [
{
"type": "double",
"price": 950,
"period": "pcm",
"security_deposit": 950,
"status": "available",
"ensuite": false,
"furnishings": "furnished"
}
],
"bills_included": "yes",
"security_deposit": 950,
"availability": {
"from": "2026-12-03",
"from_iso": "2026-12-03T12:00:00Z",
"days_per_week": "7 days a week"
},
"couples_allowed": true,
"location": {
"postcode": "N16",
"neighbourhood": "Stoke Newington",
"latitude": 51.560814,
"longitude": -0.0682005
},
"images": {
"tiny": "https://photos2.spareroom.co.uk/images/flatshare/listings/tiny/10/19/101955949.jpg",
"thumb": "https://photos2.spareroom.co.uk/images/flatshare/listings/thumbs/10/19/101955949.jpg",
"standard": "https://photos2.spareroom.co.uk/images/flatshare/listings/10/19/101955949.jpg",
"large": "https://photos2.spareroom.co.uk/images/flatshare/listings/large/10/19/101955949.jpg",
"square": "https://photos2.spareroom.co.uk/images/flatshare/listings/square/10/19/101955949.jpg"
},
"advertiser": {
"id": 24351788,
"uuid": "llFabfb4so8eWG9xVlXzZw",
"name": "Ricco&Nicholas",
"type": "live in landlord",
"type_code": "live_in_landlord",
"verified": true,
"photo_checks": [
"name",
"date_of_birth"
],
"additional_checks": [
"phone",
"email"
],
"profile_photo": "https://photos2.spareroom.co.uk/images/flatshare/listings/large/10/19/101956055.jpg"
},
"promotion": {
"label": "New Today",
"featured": false,
"bold": true,
"has_video": false,
"early_bird_required": false
},
"expires_at": "2026-11-20T19:57:01Z"
},
{
"id": 16746915,
"url": "https://www.spareroom.co.uk/16746915",
"title": "Spacious Double Room in Abbey Wood",
"excerpt": "Hi,\r\nSpacious double room, available to let in a friendly 3-bed house share. The room is furnished with built in wardrobes and beautifully decorated with a 'homey' feel. 15 min walk from the Abbey Wood station!\r\nWould best suit professional…",
"ad_type": "offered",
"accommodation_type": "Double room",
"property_type": "House",
"status": "Available",
"rooms_in_property": 3,
"rooms_for_rent": 1,
"double_rooms": 1,
"rent": {
"min": 700,
"period": "pcm",
"rent_options": "room",
"currency": "GBP"
},
"rooms": [
{
"type": "double",
"price": 700,
"period": "pcm",
"security_deposit": 700,
"status": "available",
"furnishings": "furnished"
}
],
"bills_included": "yes",
"security_deposit": 700,
"availability": {
"from": "2026-10-25",
"from_iso": "2026-10-25T12:00:00Z",
"days_per_week": "7 days a week"
},
"couples_allowed": false,
"location": {
"postcode": "SE2",
"neighbourhood": "Abbey Wood",
"latitude": 51.495941,
"longitude": 0.1081477,
"nearest_station": {
"name": "Abbey Wood",
"zone": "4"
}
},
"images": {
"tiny": "https://photos2.spareroom.co.uk/images/flatshare/listings/tiny/88/06/88064039.jpg",
"thumb": "https://photos2.spareroom.co.uk/images/flatshare/listings/thumbs/88/06/88064039.jpg",
"standard": "https://photos2.spareroom.co.uk/images/flatshare/listings/88/06/88064039.jpg",
"large": "https://photos2.spareroom.co.uk/images/flatshare/listings/large/88/06/88064039.jpg",
"square": "https://photos2.spareroom.co.uk/images/flatshare/listings/square/88/06/88064039.jpg"
},
"advertiser": {
"id": 3909246,
"uuid": "eEgM4EdNQuSJypBZZA0R5Q",
"name": "Edyta",
"type": "live in landlord",
"type_code": "live_in_landlord",
"verified": true,
"photo_checks": [
"name",
"date_of_birth"
],
"additional_checks": [
"phone",
"email"
],
"profile_photo": "https://photos2.spareroom.co.uk/images/flatshare/listings/large/98/98/98987510.jpg"
},
"promotion": {
"label": "New Today",
"featured": false,
"bold": true,
"has_video": false,
"early_bird_required": false
},
"expires_at": "2026-11-20T19:35:14Z"
}
]
},
"meta": {
"endpoint_family": "spareroom.search",
"billable": true,
"retryable": false,
"duration_ms": 642
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the SpareRoom API overview for every SpareRoom endpoint.
Authorizations
Query Parameters
Maximum string length:
100Available options:
relevance, newest, last_updated, price_low_to_high, price_high_to_low Available options:
pcm, pw Available options:
true, false, 1, 0 Available options:
double, single Available options:
Y Available options:
Y, N Available options:
males, females, couples Available options:
P, S Available options:
males, females, mixed Available options:
Y Available options:
Y Available options:
Y Available options:
shared Available options:
Y Available options:
Y, N Available options:
Y Available options:
Mon to Fri only, 7 days a week Available options:
Y Available options:
private_landlords, flatmates, agents, co_live Available options:
live_in, live_out Available options:
Y Available options:
Y Available options:
Y Available options:
Y Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/spareroom/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/spareroom/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/spareroom/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/spareroom/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/spareroom/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/spareroom/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/spareroom/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/spareroom/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "spareroom.search",
"params": {
"where": "London"
},
"response": {
"success": true,
"data": {
"type": "results",
"where": "London",
"page": 1,
"page_size": 100,
"page_count": 10,
"has_next_page": true,
"result_count": 100,
"total_pool": 12891,
"rows_reachable": 1000,
"truncated": true,
"total_rooms_available": 16127,
"location": {
"latitude": 51.51648767499999,
"longitude": -0.10976950833333333,
"latitude_delta": 0.291945783904339,
"longitude_delta": 0.47141769068993,
"areas": [
{
"id": 1,
"name": "The East End"
},
{
"id": 2,
"name": "Outer East End / Newham"
},
{
"id": 3,
"name": "Docklands"
}
]
},
"filter_options": [
{
"group": "Price",
"options": [
{
"label": "Up to £900pcm",
"count": 4906,
"params": "…"
},
{
"label": "£901 to £1,300pcm",
"count": 5965,
"params": "…"
},
{
"label": "£1,301pcm plus",
"count": 2588,
"params": "…"
}
]
},
{
"group": "Types",
"options": [
{
"label": "Rooms in existing shares",
"count": 11036,
"params": "…"
},
{
"label": "Studios / 1 Beds",
"count": 1071,
"params": "…"
},
{
"label": "Whole properties (suitable for sharing)",
"count": 777,
"params": "…"
}
]
},
{
"group": "Rooms",
"options": [
{
"label": "Double rooms",
"count": 11856,
"params": "…"
},
{
"label": "Single rooms",
"count": 1315,
"params": "…"
},
{
"label": "Rooms with en-suite",
"count": 2572,
"params": "…"
}
]
}
],
"results": [
{
"id": 18472716,
"url": "https://www.spareroom.co.uk/18472716",
"title": "1-Bed penthouse flat near Canary Wharf",
"excerpt": "Modern 1-bed flat with wrap-around terrace.\nFurnished\nPerfectly located between Canary Wharf and the City. Between Limehouse and Westferry DLR stations, m.",
"ad_type": "offered",
"accommodation_type": "1 bed flat or studio",
"property_type": "Flat",
"status": "Available",
"rooms_in_property": 1,
"rooms_for_rent": 1,
"double_rooms": 1,
"rent": {
"min": 2500,
"period": "pcm",
"rent_options": "whole",
"currency": "GBP"
},
"rooms": [
{
"type": "double",
"price": 2500,
"period": "pcm",
"status": "available",
"furnishings": "unfurnished"
}
],
"security_deposit": 2500,
"availability": {
"from": "2026-11-23",
"from_iso": "2026-11-23T12:00:00Z",
"days_per_week": "7 days a week"
},
"couples_allowed": true,
"location": {
"postcode": "E14",
"neighbourhood": "Westferry",
"latitude": 51.513191,
"longitude": -0.0292769
},
"images": {
"tiny": "https://photos2.spareroom.co.uk/images/flatshare/listings/tiny/10/19/101956202.jpg",
"thumb": "https://photos2.spareroom.co.uk/images/flatshare/listings/thumbs/10/19/101956202.jpg",
"standard": "https://photos2.spareroom.co.uk/images/flatshare/listings/10/19/101956202.jpg",
"large": "https://photos2.spareroom.co.uk/images/flatshare/listings/large/10/19/101956202.jpg",
"square": "https://photos2.spareroom.co.uk/images/flatshare/listings/square/10/19/101956202.jpg"
},
"advertiser": {
"id": 25592173,
"uuid": "bhDJ9wMYovyCnpiwL2NZMA",
"name": "Quentin",
"type": "live out landlord",
"type_code": "live_out_landlord",
"verified": true,
"photo_checks": [
"name",
"date_of_birth"
],
"additional_checks": [
"phone",
"email"
]
},
"promotion": {
"label": "New Today",
"featured": false,
"bold": true,
"has_video": false,
"early_bird_required": false
},
"expires_at": "2026-11-20T20:45:36Z"
},
{
"id": 17985606,
"url": "https://www.spareroom.co.uk/17985606",
"title": "Stylish Double Room in Stoke Newington 🏡+Garden",
"excerpt": "***Men preferred property***Spacious double room available in a beautifully kept Victorian garden flat on a quiet residential street in Stoke Newington.\n\nThis is not your typical house share — it’s a calm, well-maintained home with a premiu…",
"ad_type": "offered",
"accommodation_type": "Double room",
"property_type": "Flat",
"status": "Available",
"rooms_in_property": 3,
"rooms_for_rent": 1,
"double_rooms": 1,
"rent": {
"min": 950,
"period": "pcm",
"rent_options": "room",
"currency": "GBP"
},
"rooms": [
{
"type": "double",
"price": 950,
"period": "pcm",
"security_deposit": 950,
"status": "available",
"ensuite": false,
"furnishings": "furnished"
}
],
"bills_included": "yes",
"security_deposit": 950,
"availability": {
"from": "2026-12-03",
"from_iso": "2026-12-03T12:00:00Z",
"days_per_week": "7 days a week"
},
"couples_allowed": true,
"location": {
"postcode": "N16",
"neighbourhood": "Stoke Newington",
"latitude": 51.560814,
"longitude": -0.0682005
},
"images": {
"tiny": "https://photos2.spareroom.co.uk/images/flatshare/listings/tiny/10/19/101955949.jpg",
"thumb": "https://photos2.spareroom.co.uk/images/flatshare/listings/thumbs/10/19/101955949.jpg",
"standard": "https://photos2.spareroom.co.uk/images/flatshare/listings/10/19/101955949.jpg",
"large": "https://photos2.spareroom.co.uk/images/flatshare/listings/large/10/19/101955949.jpg",
"square": "https://photos2.spareroom.co.uk/images/flatshare/listings/square/10/19/101955949.jpg"
},
"advertiser": {
"id": 24351788,
"uuid": "llFabfb4so8eWG9xVlXzZw",
"name": "Ricco&Nicholas",
"type": "live in landlord",
"type_code": "live_in_landlord",
"verified": true,
"photo_checks": [
"name",
"date_of_birth"
],
"additional_checks": [
"phone",
"email"
],
"profile_photo": "https://photos2.spareroom.co.uk/images/flatshare/listings/large/10/19/101956055.jpg"
},
"promotion": {
"label": "New Today",
"featured": false,
"bold": true,
"has_video": false,
"early_bird_required": false
},
"expires_at": "2026-11-20T19:57:01Z"
},
{
"id": 16746915,
"url": "https://www.spareroom.co.uk/16746915",
"title": "Spacious Double Room in Abbey Wood",
"excerpt": "Hi,\r\nSpacious double room, available to let in a friendly 3-bed house share. The room is furnished with built in wardrobes and beautifully decorated with a 'homey' feel. 15 min walk from the Abbey Wood station!\r\nWould best suit professional…",
"ad_type": "offered",
"accommodation_type": "Double room",
"property_type": "House",
"status": "Available",
"rooms_in_property": 3,
"rooms_for_rent": 1,
"double_rooms": 1,
"rent": {
"min": 700,
"period": "pcm",
"rent_options": "room",
"currency": "GBP"
},
"rooms": [
{
"type": "double",
"price": 700,
"period": "pcm",
"security_deposit": 700,
"status": "available",
"furnishings": "furnished"
}
],
"bills_included": "yes",
"security_deposit": 700,
"availability": {
"from": "2026-10-25",
"from_iso": "2026-10-25T12:00:00Z",
"days_per_week": "7 days a week"
},
"couples_allowed": false,
"location": {
"postcode": "SE2",
"neighbourhood": "Abbey Wood",
"latitude": 51.495941,
"longitude": 0.1081477,
"nearest_station": {
"name": "Abbey Wood",
"zone": "4"
}
},
"images": {
"tiny": "https://photos2.spareroom.co.uk/images/flatshare/listings/tiny/88/06/88064039.jpg",
"thumb": "https://photos2.spareroom.co.uk/images/flatshare/listings/thumbs/88/06/88064039.jpg",
"standard": "https://photos2.spareroom.co.uk/images/flatshare/listings/88/06/88064039.jpg",
"large": "https://photos2.spareroom.co.uk/images/flatshare/listings/large/88/06/88064039.jpg",
"square": "https://photos2.spareroom.co.uk/images/flatshare/listings/square/88/06/88064039.jpg"
},
"advertiser": {
"id": 3909246,
"uuid": "eEgM4EdNQuSJypBZZA0R5Q",
"name": "Edyta",
"type": "live in landlord",
"type_code": "live_in_landlord",
"verified": true,
"photo_checks": [
"name",
"date_of_birth"
],
"additional_checks": [
"phone",
"email"
],
"profile_photo": "https://photos2.spareroom.co.uk/images/flatshare/listings/large/98/98/98987510.jpg"
},
"promotion": {
"label": "New Today",
"featured": false,
"bold": true,
"has_video": false,
"early_bird_required": false
},
"expires_at": "2026-11-20T19:35:14Z"
}
]
},
"meta": {
"endpoint_family": "spareroom.search",
"billable": true,
"retryable": false,
"duration_ms": 642
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}